logd(8)

NAME
logd - logging server for Archiveopteryx.

SYNOPSIS
/usr/local/sbin/logd [-f] [-c configfile]

DESCRIPTION

The Archiveopteryx logd is an internal server which receives, buffers and filters log entries from other parts of Archiveopteryx, so that useful messages are logged, while noise is suppressed.

Archiveopteryx's log system uses four log levels: Disaster, Error, Info and Debug. Each program in Archiveopteryx sends its log messages to logd, which writes them to a logfile.

If a message is logged with severity log-level (set to Info by default) or greater, it is immediately written to the log file. All messages of lower severity are discarded.

If logd receives the SIGHUP signal, it closes and reopens its logfile.

After startup, logd changes root to the directory where logfile is located, and changes uid and gid to jail-user and jail-group. Therefore, jail-user must have the right to open logfile.

OPTIONS

-c filename
    Read configuration variables from filename instead of from /usr/local/etc/archiveopteryx/archiveopteryx.conf.

-f  Fork into background during startup.

CONFIGURATION
logd is configured using archiveopteryx.conf(5).

logd uses the following configuration variables: log-address, log-port, logfile (default syslog/mail), log-level (default info), jail-user (default aox), jail-group (default aox).

DIAGNOSTICS
In case of error, smtpd exits with exit code 1, an error message on stderr and (usually more detailed) information in the log file.

FILES
/usr/local/etc/archiveopteryx/archiveopteryx.conf
/usr/local/sbin/logd

AUTHOR
The Archiveopteryx Developers, info@aox.org.

VERSION
This man page covers Archiveopteryx version 3.1.3, released 2010-03-10, http://www.archiveopteryx.org/3.1.3

SEE ALSO
archiveopteryx(8), archiveopteryx.conf(5), deliver(8), aox(8), tlsproxy(8), http://www.archiveopteryx.org